<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package VideoStories
 */

get_header(); ?>

<section class="blog-posts">
  <div class="section-padding">
    <div class="container">
      <div class="row">

        <div class="col-sm-8">
          <?php
          if ( have_posts() ) { ?>
          <header class="page-header">
            <h1 class="page-title"><?php printf( esc_html__( 'Search Results for: %s', 'videostories' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
          </header><!-- .page-header -->

          <?php while ( have_posts() ) { the_post();
           get_template_part( 'template-parts/content');
         }
         echo function_exists('videostories_pagination') ? esc_html( videostories_pagination() ) : posts_nav_link();
       } else {
        get_template_part( 'template-parts/content', 'none' );
      }
      ?>
    </div>

    <?php videostories_sidebar();?>


  </div><!-- /.row -->
</div><!-- /.container -->
</div><!-- /.section-padding -->
</section><!-- /.blog-posts -->

<?php
get_footer();
